﻿using ComputersShopDataModels;
using System.ComponentModel;

namespace ComputersShopContracts.ViewModels
{
    public class ComputerViewModel : IComputerModel
    {
        public int Id { get; set; }
        [DisplayName("Название компьютера")]
        public string ComputerName { get; set; } = string.Empty;
        [DisplayName("Цена")]
        public double Price { get; set; }
        public Dictionary<int, (IComponentModel, int)> ComputerComponents{ get; set; } = new();
    }
}
